﻿/*
 * Created by SharpDevelop.
 * User: munet
 * Date: 2006/01/09
 * Time: 8:09
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
namespace Mumed {
 	/// <summary>数値の型を定義する列挙体</summary>
 	[System.Flags]
 	public enum NumDef :byte {
 		/// <summary>整数型データであることを示します。</summary>
		Integer  = 1,
 		/// <summary>分数型データであることを示します。</summary>
		Flaction = 2,
 		/// <summary>小数型データであることを示します。</summary>
		Decimal  = 4
	}
 	/// <summary>三角関数を定義する列挙体</summary>
 	public enum TriDef :byte {
 		/// <summary>正弦を示します。</summary>
		Sin  = 1,
 		/// <summary>余弦を示します。</summary>
		Cos  = 2,
 		/// <summary>正接を示します。</summary>
		Tan  = 3,
 		/// <summary>正弦の逆関数を示します。</summary>
		Asin = 4,
 		/// <summary>余弦の逆関数を示します。</summary>
		Acos = 5,
 		/// <summary>正接の逆関数を示します。</summary>
		Atan = 6,
 		/// <summary>双曲正弦を示します。</summary>
		Sinh = 7,
 		/// <summary>双曲余弦を示します。</summary>
		Cosh = 8,
 		/// <summary>双曲正接を示します。</summary>
		Tanh = 9
	}
 }
